## org.hibernate.ejb.criteria.expression
Class CompoundSelectionImpl<X>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<X>
                  org.hibernate.ejb.criteria.expression.CompoundSelectionImpl<X>

All Implemented Interfaces:
  Serializable, CompoundSelection<X>, Selection<X>, TupleElement<X>, ParameterContainer, Renderable, SelectionImplementor<X>, TupleElementImplementor<X>

    public class CompoundSelectionImpl<X>

extends SelectionImpl<X>
implements CompoundSelection<X>, Renderable, Serializable

The Hibernate implementation of the JPA `CompoundSelection` contract.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`CompoundSelectionImpl(CriteriaBuilderImpl criteriaBuilder, Class<X> javaType, List<Selection<?>> selectionItems)`

Method Summary
`List<Selection<?>>` `getCompoundSelectionItems()`
`List<ValueHandlerFactory.ValueHandler>` `getValueHandlers()`
`boolean` `isCompoundSelection()`
`void` `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Selection
`alias`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Constructor Detail

### CompoundSelectionImpl

    public CompoundSelectionImpl(CriteriaBuilderImpl criteriaBuilder,
                                 Class<X> javaType,
                                 List<Selection<?>> selectionItems)

Method Detail

### isCompoundSelection

    public boolean isCompoundSelection()

  Specified by:
    `isCompoundSelection` in interface `Selection<X>`
  Overrides:
    `isCompoundSelection` in class `SelectionImpl<X>`

### getCompoundSelectionItems

    public List<Selection<?>> getCompoundSelectionItems()

  Specified by:
    `getCompoundSelectionItems` in interface `Selection<X>`
  Overrides:
    `getCompoundSelectionItems` in class `SelectionImpl<X>`

### getValueHandlers

    public List<ValueHandlerFactory.ValueHandler> getValueHandlers()

  Specified by:
    `getValueHandlers` in interface `SelectionImplementor<X>`
  Overrides:
    `getValueHandlers` in class `SelectionImpl<X>`

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderProjection` in interface `Renderable`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.